> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List organization security findings



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /org/security/findings
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /org/security/findings:
    get:
      tags:
        - Security
      summary: List organization security findings
      operationId: list_security_findings
      parameters:
        - in: query
          name: page
          required: false
          schema:
            default: 1
            maximum: 10000
            minimum: 1
            type: integer
        - description: Values above 100 are clamped to 100.
          in: query
          name: page_size
          required: false
          schema:
            default: 50
            minimum: 1
            type: integer
        - in: query
          name: search
          required: false
          schema:
            type: string
        - in: query
          name: severity
          required: false
          schema:
            items:
              type: string
            type: array
        - in: query
          name: status
          required: false
          schema:
            items:
              type: string
            type: array
        - in: query
          name: fixable
          required: false
          schema:
            type: boolean
        - in: query
          name: cluster_id
          required: false
          schema:
            format: uuid
            type: string
        - in: query
          name: addon_slug
          required: false
          schema:
            type: string
        - in: query
          name: namespace
          required: false
          schema:
            type: string
        - in: query
          name: sort
          required: false
          schema:
            type: string
        - in: query
          name: order
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityFindingListResponse'
          description: Successful response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Business validation error
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityPermissionDenied'
          description: Permission or CSRF denied
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Organization-scoped resource not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Disposition conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Request validation error
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Internal server error
components:
  schemas:
    SecurityFindingListResponse:
      properties:
        facets:
          $ref: '#/components/schemas/SecurityFindingFacets'
        pagination:
          $ref: '#/components/schemas/SecurityPagination'
        result:
          items:
            $ref: '#/components/schemas/SecurityFindingSummary'
          type: array
        scanner:
          $ref: '#/components/schemas/SecurityScannerSummary'
      required:
        - result
        - pagination
        - facets
        - scanner
      type: object
    SecurityDetailError:
      properties:
        detail:
          type: string
      required:
        - detail
      type: object
    SecurityPermissionDenied:
      properties:
        detail:
          enum:
            - permission_denied
          type: string
        permission:
          type: string
        scope_type:
          type: string
      required:
        - detail
        - permission
        - scope_type
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SecurityFindingFacets:
      properties:
        addons:
          items:
            $ref: '#/components/schemas/SecurityFacetCount'
          type: array
        clusters:
          items:
            $ref: '#/components/schemas/SecurityFacetCount'
          type: array
        severity:
          items:
            $ref: '#/components/schemas/SecurityFacetCount'
          type: array
        status:
          items:
            $ref: '#/components/schemas/SecurityFacetCount'
          type: array
      required:
        - severity
        - status
        - addons
        - clusters
      type: object
    SecurityPagination:
      properties:
        page:
          type: integer
        page_size:
          type: integer
        total_count:
          type: integer
        total_pages:
          type: integer
      required:
        - page
        - page_size
        - total_pages
        - total_count
      type: object
    SecurityFindingSummary:
      properties:
        affected_clusters:
          type: integer
        affected_workloads:
          type: integer
        cve_id:
          type: string
        disposition_counts:
          $ref: '#/components/schemas/SecurityDispositionCounts'
        first_seen_at:
          format: date-time
          type: string
        fixable_occurrences:
          type: integer
        id:
          format: uuid
          type: string
        last_seen_at:
          format: date-time
          type: string
        occurrences:
          type: integer
        package_name:
          type: string
        package_type:
          type: string
        primary_link:
          anyOf:
            - type: string
            - type: 'null'
        provider:
          type: string
        score:
          anyOf:
            - format: double
              type: number
            - type: 'null'
        severity:
          type: string
        title:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - provider
        - cve_id
        - package_type
        - package_name
        - severity
        - title
        - primary_link
        - score
        - first_seen_at
        - last_seen_at
        - occurrences
        - affected_clusters
        - affected_workloads
        - fixable_occurrences
        - disposition_counts
      type: object
    SecurityScannerSummary:
      properties:
        fresh_clusters:
          type: integer
        last_scan:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        stale_after_seconds:
          type: integer
        stale_clusters:
          type: integer
        status:
          enum:
            - fresh
            - degraded
            - stale
            - unscanned
          type: string
        unscanned_clusters:
          type: integer
      required:
        - status
        - last_scan
        - fresh_clusters
        - stale_clusters
        - unscanned_clusters
        - stale_after_seconds
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    SecurityFacetCount:
      properties:
        count:
          type: integer
        value:
          type: string
      required:
        - value
        - count
      type: object
    SecurityDispositionCounts:
      properties:
        accepted_risk:
          type: integer
        acknowledged:
          type: integer
        open:
          type: integer
        resolved:
          type: integer
      required:
        - open
        - acknowledged
        - accepted_risk
        - resolved
      type: object

````